/*
 *    Copyright 2021 Whilein
 *
 *    Licensed under the Apache License, Version 2.0 (the "License");
 *    you may not use this file except in compliance with the License.
 *    You may obtain a copy of the License at
 *
 *        http://www.apache.org/licenses/LICENSE-2.0
 *
 *    Unless required by applicable law or agreed to in writing, software
 *    distributed under the License is distributed on an "AS IS" BASIS,
 *    WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 *    See the License for the specific language governing permissions and
 *    limitations under the License.
 */

package te4j.template.compiler.exp.output;

import lombok.NonNull;
import te4j.template.compiler.exp.Exp;

/**
 * @author whilein
 */
public interface ExpOutputWrite extends AutoCloseable {

    @NonNull ExpOutput getOutput();

    int getIndex();

    boolean moveNext();

    Exp next();

    Exp current();

    Exp prev();

    void close();

}
